<?php

namespace TotalPoll\Contracts\Migrations\Poll\Template;
! defined( 'ABSPATH' ) && exit();


/**
 * Interface Poll
 * @package TotalPoll\Contracts\Migrations\Poll\Template
 */
interface Poll extends Template {
	/**
	 * @param $question
	 *
	 * @return mixed
	 */
	public function addQuestion( $question );

	/**
	 * @param $field
	 *
	 * @return mixed
	 */
	public function addField( $field );

	/**
	 * @param $section
	 * @param $value
	 *
	 * @return mixed
	 */
	public function addSettings( $section, $value );
}